./sysutils/xenkernel46, Xen 4.6.x Kernel

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 4.6.5, Package name: xenkernel46-4.6.5, Maintainer: pkgsrc-users

Xen is a hypervisor which supports running multiple guest operating
systems on a single machine. Guest OSes (also called "domains")
can be either paravirtualised (i.e. make hypercalls in order to
access hardware), run in HVM (Hardware Virtualisation Mode) where
they will be presented with virtual devices, or a combination where
they use hypercalls to access hardware but manage memory themselves.
At boot, the xen kernel is loaded along with the guest kernel for
the first domain (called domain0). domain0 has privileges to access
the physical hardware (PCI and ISA devices), administrate other
domains and provide virtual devices (disks and network) to other
domains.

This package contains the 4.6 Xen kernel itself. PCI passthrough is
not supported. PAE is mandatory; on i386 one must use XEN3PAE_DOM[0U].


Required to build:
[lang/python27] [pkgtools/cwrappers]

Master sites:

SHA1: af371af662211ee1480167b6c9e35142156f3a8d
RMD160: 3f2468d7d3715d14842ac57b2180118ef48e93fa
Filesize: 19250.738 KB

Version history: (Expand)


CVS history: (Expand)


   2017-03-20 19:17:13 by Manuel Bouyer | Files touched by this commit (24) | Package removed
Log message:
Update xenkernel46 and xentools46 to 4.6.5. Changes since 4.6.3:
various bug fixes. Includes all security patches up to and including
XSA-209
   2017-02-14 22:38:34 by Joerg Sonnenberger | Files touched by this commit (6)
Log message:
Disable a couple more warnings for the clang build and merge some
patches from Git to fix another set of issues.
   2017-01-01 15:44:09 by Thomas Klausner | Files touched by this commit (577)
Log message:
Add python-3.6 to incompatible versions.
   2016-12-21 16:36:39 by Manuel Bouyer | Files touched by this commit (4) | Package updated
Log message:
Add patches from upstream fixing XSA-202 and XSA-203
Bump PKGREVISION
   2016-12-20 19:15:10 by Greg Troxel | Files touched by this commit (4)
Log message:
Drop i386 from ONLY_FOR_PLATFORM

Xen 4.5 and 4.6 no longer support i386.  Thus, don't try to build
there.

ok bouyer@
   2016-12-20 11:22:29 by Manuel Bouyer | Files touched by this commit (28) | Package updated
Log message:
Apply upstream patch for XSA-199, XSA-200 and XSA-204.
Bump PKGREVISIONs
   2016-11-22 21:59:02 by Manuel Bouyer | Files touched by this commit (13) | Package updated
Log message:
Backport upstream patches, fixing today's XSA 191, 192, 193, 195, 197, 198.
Bump PKGREVISIONs
   2016-09-08 17:44:07 by Manuel Bouyer | Files touched by this commit (14) | Package updated
Log message:
Apply upstream patches for:
XSA-185: x86: Disallow L3 recursive pagetable for 32-bit PV guests
XSA-186: x86: Mishandling of instruction pointer truncation during emulation
XSA-187: x86 HVM: Overflow of sh_ctxt->seg_reg[]
bump PKGREVISION